%define upstream_name    WWW-Shorten-Bitly
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface to shortening URLs using http://bitly.com
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Interface to shortening URLs using http://bitly.com

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_bindir}/bitly_url
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.170.0-3.mga6
+ Revision: 1035871
- Rebuild for perl 5.22.2

* Mon Apr 18 2016 shlomif <shlomif> 1.170.0-2.mga6
+ Revision: 1003401
- convert to make_install
- Some spec cleanups and resubmit
- Importing from cpan2pkg


* Mon Jan 18 2016 cpan2dist 1.17-1mga
- initial mageia release, generated with cpan2dist
